package com.zjrs.zwnw.dbgl.bpo.impl;

import org.mohrss.leaf.core.framework.domain.bpo.impl.BPOImpl;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.dbgl.blo.DbrwglCommPLO;
import com.zjrs.zwnw.dbgl.bpo.DbrwglCommBPO;
import com.zjrs.zwnw.dbgl.dto.*;
import com.zjrs.zwnw.dbgl.po.RsdbgldbxmgzqdPO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class DbrwglCommBPOimpl extends BPOImpl implements DbrwglCommBPO {

    @Autowired
    private DbrwglCommPLO dbrwCommPLO;

    @Override
    public List<DictDTO> getOrgs(DictGetDTO dto){
        return this.dbrwCommPLO.getOrgs(dto);
    }

    @Override
    public List<DictDTO> getUsers(DictGetDTO dto){
        return this.dbrwCommPLO.getUsers(dto);
    }
    @Override
    public PageResult getGzqdjzqkList(DbrwglCommQueryDTO dto){
        return this.dbrwCommPLO.getGzqdjzqkList(dto);
    }
    @Override
    public PageResult getShlsListByQdid(DbrwglCommQueryDTO dto){
        return this.dbrwCommPLO.getShlsListByQdid(dto);
    }

    @Override
    public PageResult getPsjlLstByQdid(DbrwglCommQueryDTO dto){
        return this.dbrwCommPLO.getPsjlLstByQdid(dto);
    }

    @Override
    public void delPsjlById(DbrwglCommDTO dto){
        this.dbrwCommPLO.delPsjlById(dto);
    }

    @Override
    public void savePsjl(DbrwglPsjlUDTO dto){
        this.dbrwCommPLO.savePsjl(dto);
    }

    @Override
    public RsdbgldbxmgzqdPO getGzqdjzqk(DbrwglCommDTO dto){
        return  this.dbrwCommPLO.getGzqdjzqk(dto);
    }

    @Override
    public PageResult getDbtxList(DbrwglDbrwclGzjzshQueryDTO dto){
        return  this.dbrwCommPLO.getDbtxList(dto);
    }

    @Override
    public void savePjxx(DbrwglCommPjxxSaveDTO dto) {
        this.dbrwCommPLO.savePjxx(dto);
    }

    @Override
    public DbrwglCommPjxxDTO getPjxx(String rsdbgldbxmzrbmlsh) {
        return this.dbrwCommPLO.getPjxx(rsdbgldbxmzrbmlsh);
    }
}
